View Issue Details

IDProjectCategoryView StatusLast Update
0033412FPCPackagespublic2018-03-24 18:28
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033412: fpreport: Band positioning bug
DescriptionLoad attached report and preview (preview twice due a bug that doesn't open the detail dataset the 1st time). The band order should be:
Master data header
Master group header
[
Master data record
Detail data header
Detail group header
Detail data records
Detail group footer
Detail data footer
]...
Master group footer
Master data footer

But it is:
Detail group header
[
Master data header
Master data record
Detail data records
Detail data footer
]...
Detail group footer
TagsNo tags attached.
Fixed in Revision38620
FPCOldBugId0
FPCTarget
Attached Files

Relationships

related to 0033349 closedMichael Van Canneyt fpreport: Data header and footer band wrong positions in preview 

Activities

Stephano

2018-03-11 13:52

developer  

BandPositionsBug.pdf (150,312 bytes)

Stephano

2018-03-18 11:30

developer   ~0107230

After resolution of bug 0033349, the band order in the preview is messed up in a slightly different way.
Attached is the new pdf exported output (BandPositionsBug-2.pdf).

Stephano

2018-03-18 11:30

developer  

BandPositionsBug-2.pdf (150,312 bytes)

Michael Van Canneyt

2018-03-18 12:23

administrator   ~0107233

The resolution of this one is tricky. :(

The master-detail logic seems to be messed up. It will take some refactoring.
I have a plan how to do it, but it will require some time.

As a result of the plan, creating a subreport should also become possible.

Stephano

2018-03-19 20:36

developer  

BandPositionsBug.json (36,264 bytes)

Michael Van Canneyt

2018-03-21 10:32

administrator   ~0107311

Fixed, but this is not yet the full rework of data loop handling.
However, it is a first step towards the full solution.

Stephano

2018-03-21 18:47

developer   ~0107325

Last edited: 2018-03-21 18:48

View 2 revisions

Attached new output (BandPositionsBug-2.pdf).
The detail group header/footer is missing.
Also the Data and GroupHeader properties of the group footer are redundant.
Otherwise, the improvement is obvious!

Stephano

2018-03-21 18:48

developer  

BandPositionsBug-3.pdf (150,565 bytes)

Michael Van Canneyt

2018-03-22 23:17

administrator   ~0107347

Concerning the Data and Groupheader: they are not 100% redundant.

It's correct that in theory, Data is not needed.
Selecting a group header is sufficient.

I will make data public, so it does not appear in the object inspector.
Setting Group header will set automatically set data.

Michael Van Canneyt

2018-03-24 18:02

administrator   ~0107395

Fixed. Refactored the data loop handling in the layouter.
It's almost done as I want it to be, the main loop and the detail loop can still be reworked to one loop.

Stephano

2018-03-24 18:28

developer   ~0107398

Just don't forget to consider sub-detail and further loops

Issue History

Date Modified Username Field Change
2018-03-11 13:52 Stephano New Issue
2018-03-11 13:52 Stephano Status new => assigned
2018-03-11 13:52 Stephano Assigned To => Michael Van Canneyt
2018-03-11 13:52 Stephano File Added: BandPositionsBug.json
2018-03-11 13:52 Stephano File Added: BandPositionsBug.pdf
2018-03-11 13:54 Stephano File Deleted: BandPositionsBug.json
2018-03-11 13:54 Stephano File Added: BandPositionsBug.json
2018-03-11 13:58 Stephano File Deleted: BandPositionsBug.json
2018-03-11 13:58 Stephano File Added: BandPositionsBug.json
2018-03-11 14:00 Stephano Description Updated View Revisions
2018-03-11 14:01 Stephano Relationship added related to 0033349
2018-03-18 11:30 Stephano Note Added: 0107230
2018-03-18 11:30 Stephano File Added: BandPositionsBug-2.pdf
2018-03-18 12:23 Michael Van Canneyt Note Added: 0107233
2018-03-18 20:03 Stephano Severity minor => major
2018-03-19 20:35 Stephano File Deleted: BandPositionsBug.json
2018-03-19 20:36 Stephano File Added: BandPositionsBug.json
2018-03-21 10:32 Michael Van Canneyt Fixed in Revision => 38583
2018-03-21 10:32 Michael Van Canneyt Note Added: 0107311
2018-03-21 10:32 Michael Van Canneyt Status assigned => resolved
2018-03-21 10:32 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-21 10:32 Michael Van Canneyt Resolution open => fixed
2018-03-21 10:32 Michael Van Canneyt Target Version => 3.2.0
2018-03-21 18:47 Stephano Note Added: 0107325
2018-03-21 18:47 Stephano Status resolved => feedback
2018-03-21 18:47 Stephano Resolution fixed => reopened
2018-03-21 18:48 Stephano File Added: BandPositionsBug-3.pdf
2018-03-21 18:48 Stephano Note Edited: 0107325 View Revisions
2018-03-22 23:17 Michael Van Canneyt Note Added: 0107347
2018-03-24 18:02 Michael Van Canneyt Fixed in Revision 38583 => 38620
2018-03-24 18:02 Michael Van Canneyt Note Added: 0107395
2018-03-24 18:02 Michael Van Canneyt Status feedback => resolved
2018-03-24 18:02 Michael Van Canneyt Resolution reopened => fixed
2018-03-24 18:28 Stephano Note Added: 0107398
2018-03-24 18:28 Stephano Status resolved => closed